Savepoint (Java Platform SE 8 )
Keywords: java.sql.Savepoint interface
Date: 2026-06-25

compact2, compact3
java.sql

## Interface Savepoint

-     public interface Savepoint

  The representation of a savepoint, which is a point within the current transaction that can be referenced from the `Connection.rollback` method. When a transaction is rolled back to a savepoint all changes made after that savepoint are undone.

  Savepoints can be either named or unnamed. Unnamed savepoints are identified by an ID generated by the underlying data source.

  Since:
    1.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
    `String` | `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.

- - ### Method Detail

    - #### getSavepointId

          int getSavepointId()
                      throws SQLException

      Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
      Returns:
        the numeric ID of this savepoint
      Throws:
        `SQLException` - if this is a named savepoint
      Since:
        1.4

    - #### getSavepointName

          String getSavepointName()
                           throws SQLException

      Retrieves the name of the savepoint that this `Savepoint` object represents.
      Returns:
        the name of this savepoint
      Throws:
        `SQLException` - if this is an un-named savepoint
      Since:
        1.4

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.